#!/bin/bash
# Restauración de permismos por defecto para los directorios:
# /nfs/alumnos
# /nfs/profesor
# /nfs/privado

if [ -d /nfs/alumnos ]; then
    setfacl -Rm u:profesor:rwx,g:profesor:rwx,u:alumno:rwx,g:alumno:rwx /nfs/alumnos
    setfacl -Rm default:u:profesor:rwx,default:g:profesor:rwx /nfs/alumnos
    setfacl -Rm default:u:alumno:rwx,default:g:alumno:rwx /nfs/alumnos
fi
if [ -d /nfs/profesor ]; then
    setfacl -Rm u:profesor:rwx,g:profesor:rwx,u:alumno:r-x,g:alumno:r-x /nfs/profesor
    setfacl -Rm default:u:profesor:rwx,default:g:profesor:rwx /nfs/profesor
    setfacl -Rm default:u:alumno:r-x,default:g:alumno:r-x /nfs/profesor
fi
if [ -d /nfs/privado ]; then
    setfacl -Rm u:profesor:rwx,g:profesor:rwx,o::--- /nfs/privado
    setfacl -Rm default:u:profesor:rwx,default:g:profesor:rwx,default:o::--- /nfs/privado
fi

[ -d /nfs/perfiles ] && chown -R nobody.nogroup /nfs/perfiles
